

.streaming__home {
    width: 100%;
    height: 330px;
    position: relative;
    background-size: cover;
    background-position: center;
    box-shadow: inset 5px -54px 70px 38px rgb(0 0 0 / 80%);
    z-index: 1;
}

.streaming__home_gradient_right {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-image: linear-gradient(to right,
    rgba(0,0,0, 1),
    rgba(0,0,0, .7),
    rgba(0,0,0, .4),
    rgba(0,0,0, 0)
    );
}

.streaming__home_banner_callToActions {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: end;
    padding: 2rem 4rem;
    color: var(--white-color);
    z-index: 2;
    position: relative;
    gap: 40px;
    transition: .3s ease;
}

.streaming__home_banner_CTA_right {
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: var(--white-color);
    flex: .45;
}

.streaming__home_banner_CTA_right small {
    color: var(--main-color);
    font-weight: 600;
}

.streaming__home_banner_CTA_right h4 {
    font-weight: 700;
    font-size: 1.5rem;
    max-width: 400px;
    word-break: break-word;
}

.streaming__home_banner_CTAR_genre {
    color: var(--main-color);
    font-weight: 600;
    display: flex;
    gap: 5px;
    align-items: center;
    transition: .5s ease;
    
}

.streaming__home_banner_CTAR_genre span {
    padding: .5rem 1.75rem;
    border: 1px solid var(--main-color);
    background: black;
    border-radius: 20px;
    transition: .3s ease-in-out;
}

.streaming__home_banner_CTAR_genre span:hover {
    box-shadow: 0 0px 36px rgb(255 0 170 / 50%);
}


.streaming__home_banner_callToActions_mid {
    flex: .3;
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding-right: 1rem;
    height: 43%;
    gap: 10px;
}

.streaming__home_banner_callToActions_mid_sidebarOff {
    flex: .6;
}

.streaming__home_banner_callToActions_mid_sidebarOff p {
    line-height: 28.5px;
}

.streaming__home_banner_callToActions_mid p {
    color: #C5C5C5;
    opacity: .9;
}

.streaming__home_banner_callToActions_left {
    flex: .4;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100px;
}

.streaming__home_banner_callToActions_left a {
    color: var(--white-color);
    background: var(--main-color);
    outline: none;
    border: none;
    padding: 1rem 2.5rem;
    cursor: pointer;
    border-radius: 10px;
    transition: .2s ease-in-out;
}
.streaming__home_banner_callToActions_left a:hover {
    box-shadow: 0 0px 36px rgb(186, 27, 202);
    filter: drop-shadow(7px 11px 100px #BA1BCA);
    font-weight: 500;
}

/* Streaming music list */
.streaming__home_music_list_music_container {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.streaming__home_music_list {
    padding: 2rem 3.75rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 40px;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), #55334A;
}

.streaming__home_music_list_sectionTitle h4 {
    color: var(--white-color);
    font-size: 20px;
    font-weight: 600;
}

/* Music card */
.streaming__home_music_card {
    max-width: 230px;
    width: 230px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    background: linear-gradient(0deg, rgba(165, 6, 181, 0.2), rgba(165, 6, 181, 0.2)), rgba(1, 0, 1, 0.15);
    transition: .3s ease;
    cursor: pointer;
    margin-bottom: 1rem;
    height: 390px!important;
    position: relative;
  }

  .streaming__home_music_card:hover {
    filter: drop-shadow(0px 7px 35px rgba(165, 6, 181, 0.25));
    box-shadow: 0px -1px 21px 2px rgba(165,6,181,0.51);
    -webkit-box-shadow: 0px -1px 21px 2px rgba(165,6,181,0.51);
    -moz-box-shadow: 0px -1px 21px 2px rgba(165,6,181,0.51);
  }

  .streaming__home_music_card_images {
    position: relative;
    border-radius: 10px 10px 0 0;
  }
  .streaming__home_music_card_images .music_card_overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(19, 19, 19, 0.4), rgba(19, 19, 19, 0.4)), radial-gradient(42.37% 42.37% at 50% 50%, rgba(255, 255, 255, 0.48) 0%, rgba(255, 255, 255, 0) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */, #EE008F;
    opacity: .1;
    top: 0;
    left: 0;
  }

  .streaming__home_music_card_images img {
    max-height: 250px;
    width: 100%;
    height: 100%;
  }

.music_card_video {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 245px;
}

  .streaming__home_music_card_images video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px 10px 0 0!important;
  }

  .streaming__home_music_card_images .music_card_overlay,
  .streaming__home_music_card_images img {
    border-radius: 10px 10px 0 0!important;
  }

  .streaming__home_music_card_details {
    padding: 1rem;
    color: var(--white-color);
    max-width: 230px!important;
    overflow-wrap: break-word;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 100%;
    gap: 5px;
  }

  .streaming__home_music_card_details_details {
    padding: 1rem;
    color: var(--white-color);
    max-width: 230px!important;
    overflow-wrap: break-word;
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 5px;
    /* justify-content: space-around; */
  }

  .streaming__home_music_card_details .card__details_music_published {
    color: var(--main-color);
    font-weight: 600;
    font-size: 13px;
  }

.streaming__home_music_card_details p {
    font-size: 16px;
    padding-right: 1.25rem;
}

.card__details_music_published_artist {
    color: #C5C5C5;
}


.streaming__home_music_list_empty_container {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    flex-direction: column;
}

.streaming__home_music_list_empty_container i {
    margin: 70px 0 10px 0;
    font-size: 50px;
}

.streaming__home_music_list_empty_container p {
    font-weight: 400;
    color: #b3b3b3;
}

.streaming__home_music_card_actionBtn {
    position: absolute;
    top: 10px;
    right: 20px;
    display: flex;
    gap: 6px;
}

.streaming__home_music_card_actionBtn div {
    background: white;
    max-width: 50px;
    max-height: 50px;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s ease;
}

.streaming__home_music_card_actionBtn a {
    background: white;
    max-width: 50px;
    max-height: 50px;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s ease;
}

.stream_deleteBtn {
    color: #EE008F!important;
}
